Bug 637448 - Review Request: rubygem-glib2 - Ruby binding of GLib-2.x
Review Request: rubygem-glib2 - Ruby binding of GLib-2.x
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Fojtik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 637904 637939 637985 639098 639636 639638
  Show dependency treegraph
 
Reported: 2010-09-25 17:57 EDT by Mamoru TASAKA
Modified: 2010-10-23 12:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-23 12:59:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mfojtik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2010-09-25 17:57:45 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-glib/rubygem-glib2.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-glib/rubygem-glib2-0.90.2-0.1.fc.src.rpm
Description: 
Ruby/GLib2 is a Ruby binding of GLib-2.x.

* Note
- Building this srpm requires rubygem-pkg-config (now in dist-f14-override)
  and rubygem-test-unit (now in dist-f14-updates-testing).
  Mock build log for F-14 is available here:
  http://mtasaka.fedorapeople.org/Review_request/rubygem-glib/MOCK-rubygem-glib2.log
Comment 6 Michal Fojtik 2010-10-05 08:45:37 EDT
REVIEW:

[OK] Packages that contain Ruby Gems must be called rubygem-%{gemname} where gemname is the name from the Gem's specification.

[OK] The Source of the package must be the full URL to the released Gem archive; the version of the package must be the Gem's version

[OK] The package must have a Requires and a BuildRequires on rubygems

[OK] The package must provide rubygem(%{gemname}) where gemname is the name from the Gem's specification.

[OK] For every dependency on a Gem named gemdep, the package must contain a Requires on rubygem(%{gemdep}) with the same version constraints as the Gem

[OK] The Gem must be installed into %{gemdir} defined as
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
The install should be performed with the command

gem install --local --install-dir %{buildroot}%{gemdir} --force %{SOURCE0}
The package must own the following files and directories:
%{gemdir}/gems/%{gemname}-%{version}/
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

[OK] Architecture-specific content must not be installed into %{gemdir}

[OK] %prep stage must contain %setup -q -c -T to create the directory where C libraries are compiled.

Package looks good, builds without errors/warning under Koji, rpmlint is quite.
Setting REVIEW+
Comment 7 Mamoru TASAKA 2010-10-05 15:00:54 EDT
Thank you!

New Package SCM Request
=======================
Package Name:      rubygem-glib2
Short Description: Ruby bindings of GLib-2.x
Owners:            mtasaka
Branches:          f12 f13 f14
Comment 8 Kevin Fenzi 2010-10-06 19:25:47 EDT
Git done (by process-git-requests).
Comment 9 Mamoru TASAKA 2010-10-07 03:17:58 EDT
Built for f13 f14 (will not build for f12), submitted push
requests on bodhi.
Comment 10 Mamoru TASAKA 2010-10-14 14:08:01 EDT
Now in testing.
Comment 11 Mamoru TASAKA 2010-10-23 12:59:33 EDT
Can be closed.

Note You need to log in before you can comment on or make changes to this bug.